# Class BlastRecord
A record of blast-matches (belonging to one query).

Implements | FormattedFileRecordConcept
All Impl'd | AssignableConcept, CopyConstructibleConcept, DefaultConstructibleConcept, FormattedFileRecordConcept
Defined in | <seqan/blast.h>
Signature | `struct BlastRecord<TMatch> { ... };`

## Template Parameters

`TMatch` | Specialization of BlastMatch

## Member Function Overview

- `BlastRecord::BlastRecord() BlastRecord::BlastRecord(qid)`
  constructor, can be passed the qId

### Member Functions Inherited From AssignableConcept

- `operator=`

## Interface Function Overview

### Interface Functions Inherited From AssignableConcept

- `assign`
- `set`
- `move`

## Member Typedef Overview

- `typedef TBlastMatch_ TBlastMatch;`
  type of the contained matches

## Member Variable Overview

- `std::list<TBlastMatch> BlastRecord::matches`
  list of the contained matches
- `TQId BlastRecord::qId`
  verbose Id of the query
- `TPos BlastRecord::qLength`
  length of the query sequence

## Member Functions Detail

### `BlastRecord::BlastRecord() BlastRecord::BlastRecord(qid)`

constructor, can be passed the qId

#### Data Races

Thread safety unknown!

## Member Typedef Detail

### `typedef TBlastMatch_ TBlastMatch;`

type of the contained matches

## Member Variables Detail

### `std::list<TBlastMatch> BlastRecord::matches`

list of the contained matches

### `TQId BlastRecord::qId`

verbose Id of the query

### `TPos BlastRecord::qLength`

length of the query sequence

#### Dox Sources

    /*!
     * @class BlastRecord
     *
     * @implements FormattedFileRecordConcept
     *
     * @headerfile <seqan/blast.h>
     *
     * @brief A record of blast-matches (belonging to one query).
     *
     * @signature struct BlastRecord<TMatch> { ... };
     *
     * @tparam TMatch Specialization of @link BlastMatch @endlink
     *
     * @fn BlastRecord::BlastRecord()
     *
     * @brief constructor, can be passed the qId
     *
     * @signature BlastRecord::BlastRecord() BlastRecord::BlastRecord(qid)
     *
     * @typedef BlastRecord::TBlastMatch
     *
     * @brief type of the contained matches
     *
     * @signature typedef TBlastMatch_ TBlastMatch;
     *
     * @var TQId BlastRecord::qId;
     *
     * @brief verbose Id of the query
     *
     * @var TPos BlastRecord::qLength;
     *
     * @brief length of the query sequence
     *
     * @var std::list<TBlastMatch> BlastRecord::matches;
     *
     * @brief list of the contained matches
     */